--- libpam-krb524-1.3.orig/debian/copyright
+++ libpam-krb524-1.3/debian/copyright
@@ -0,0 +1,32 @@
+This package was created as part of the Debathena Project
+<http://debathena.mit.edu/> of the MIT Student Information Processing
+Board.
+
+The source code was obtained from the Athena SVN repository at
+<svn://debathena.mit.edu/athena/trunk/config>, and is licensed as
+follows:
+
+  Copyright © 2007-2008 Tim Abbott and Anders Kaseorg
+
+  Permission is hereby granted, free of charge, to any person
+  obtaining a copy of this software and associated documentation files
+  (the "Software"), to deal in the Software without restriction,
+  including without limitation the rights to use, copy, modify, merge,
+  publish, distribute, sublicense, and/or sell copies of the Software,
+  and to permit persons to whom the Software is furnished to do so,
+  subject to the following conditions:
+
+  The above copyright notice and this permission notice shall be
+  included in all copies or substantial portions of the Software.
+
+  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
+  BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
+  ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+  SOFTWARE.
+
+The Debian packaging is Copyright © 2007-2008 Tim Abbott and Anders
+Kaseorg, and has the same license as the original software.
--- libpam-krb524-1.3.orig/debian/libpam-krb524.pam-config
+++ libpam-krb524-1.3/debian/libpam-krb524.pam-config
@@ -0,0 +1,6 @@
+Name: Athena: acquire/destroy Kerberos 4 tickets
+Default: yes
+Priority: 20
+Session-Type: Additional
+Session:
+	optional	pam_krb524.so
--- libpam-krb524-1.3.orig/debian/libpam-krb524.postinst
+++ libpam-krb524-1.3/debian/libpam-krb524.postinst
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+if hash pam-auth-update 2>/dev/null; then
+  pam-auth-update --package
+fi
+
+#DEBHELPER#
--- libpam-krb524-1.3.orig/debian/changelog
+++ libpam-krb524-1.3/debian/changelog
@@ -0,0 +1,65 @@
+libpam-krb524 (1.3-0debathena6) unstable; urgency=low
+
+  * Remove DEB_AUTO_UPDATE_DEBIAN_CONTROL.
+  * Clean up debian/copyright.
+  * Remove debian/control from version control.
+  * Change "Debian-Athena Project" to "Debathena Project".
+
+ -- Tim Abbott <tabbott@mit.edu>  Sat, 24 Jan 2009 17:57:18 -0500
+
+libpam-krb524 (1.3-0debathena5) unstable; urgency=low
+
+  * change pam-auth-update message to be clearer in menu
+
+ -- Greg Price <price@mit.edu>  Sat,  1 Nov 2008 08:01:47 -0400
+
+libpam-krb524 (1.3-0debathena4) unstable; urgency=low
+
+  * s/,/;/ in Name: field as debconf hates (or loves?) commas
+
+ -- Greg Price <price@mit.edu>  Sat,  1 Nov 2008 05:57:08 -0400
+
+libpam-krb524 (1.3-0debathena3) unstable; urgency=low
+
+  * Self-enable with pam-auth-update where available.
+
+ -- Greg Price <price@mit.edu>  Sat,  1 Nov 2008 02:29:51 -0400
+
+libpam-krb524 (1.3-0debathena2) unstable; urgency=low
+
+  * Set maintainer to debathena@mit.edu.
+
+ -- Tim Abbott <tabbott@mit.edu>  Tue, 29 Jan 2008 22:19:45 -0500
+
+libpam-krb524 (1.3-0debathena1) unstable; urgency=low
+
+  * include syslog.h
+
+ -- Tim Abbott <tabbott@mit.edu>  Sun, 28 Oct 2007 21:09:05 -0400
+
+libpam-krb524 (1.2-0debathena2) unstable; urgency=low
+
+  * Rename to libpam-krb524.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 24 Jul 2007 21:47:32 -0400
+
+libpam-krb4 (1.2-0debathena1) unstable; urgency=low
+
+  * Remove the minimum uid check, because libnss-nonlocal is a much
+    better solution.
+  * Section: debathena/libs.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sat, 21 Jul 2007 03:19:29 -0400
+
+libpam-krb4 (1.1-0debathena1) unstable; urgency=low
+
+  * Remove -pthread.
+  * Minor cleanup.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 16:15:24 -0400
+
+libpam-krb4 (1.0-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Tim Abbott <tabbott@mit.edu>  Fri, 13 Jul 2007 01:34:52 -0400
--- libpam-krb524-1.3.orig/debian/compat
+++ libpam-krb524-1.3/debian/compat
@@ -0,0 +1 @@
+4
--- libpam-krb524-1.3.orig/debian/rules
+++ libpam-krb524-1.3/debian/rules
@@ -0,0 +1,9 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/makefile.mk
+
+DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)
+
+install/libpam-krb524::
+	install -D -m 644 debian/libpam-krb524.pam-config $(DEB_DESTDIR)/usr/share/pam-configs/krb524
--- libpam-krb524-1.3.orig/debian/control
+++ libpam-krb524-1.3/debian/control
@@ -0,0 +1,15 @@
+Source: libpam-krb524
+Section: debathena/libs
+Priority: optional
+Maintainer: Debathena Project <debathena@mit.edu>
+Standards-Version: 3.7.2
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0), libpam0g-dev, libkrb5-dev
+
+Package: libpam-krb524
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-user, libpam-krb5
+Conflicts: debathena-libpam-krb5 (<= 1.0-12debathena3), libpam-krb4 (<= 1.2-0debathena2)
+Replaces: libpam-krb4 (<= 1.2-0debathena2)
+Description: PAM module to manage krb4 tickets via krb524init
+ This PAM module gets Kerberos 4 tickets with a cache name based on
+ the user's Kerberos 5 tickets, and removes them on logout.
--- libpam-krb524-1.3.orig/debian/control.in
+++ libpam-krb524-1.3/debian/control.in
@@ -0,0 +1,15 @@
+Source: libpam-krb524
+Section: debathena/libs
+Priority: optional
+Maintainer: Debathena Project <debathena@mit.edu>
+Standards-Version: 3.7.2
+Build-Depends: @cdbs@, libpam0g-dev, libkrb5-dev
+
+Package: libpam-krb524
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-user, libpam-krb5
+Conflicts: debathena-libpam-krb5 (<= 1.0-12debathena3), libpam-krb4 (<= 1.2-0debathena2)
+Replaces: libpam-krb4 (<= 1.2-0debathena2)
+Description: PAM module to manage krb4 tickets via krb524init
+ This PAM module gets Kerberos 4 tickets with a cache name based on
+ the user's Kerberos 5 tickets, and removes them on logout.
--- libpam-krb524-1.3.orig/debian/libpam-krb524.prerm
+++ libpam-krb524-1.3/debian/libpam-krb524.prerm
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+if hash pam-auth-update 2>/dev/null; then
+  pam-auth-update --package --remove krb524
+fi
+
+#DEBHELPER#
